LibreOffice LibreOffice 5.3 SDK API Reference

List of all members
theJobExecutor Singleton Referencepublished

Generic job execution singleton. More...

`import"theJobExecutor.idl";`

Inheritance diagram for theJobExecutor:

## Additional Inherited Members
Public Member Functions inherited from XJobExecutor
void | trigger ([in] string Event)
| trigger event to start registered jobs More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Generic job execution singleton.

Can start registered uno services on triggered events and handle there own configuration and there lifetime. Such events are simple strings which meaning doesn't matter for any real service implementation of this specification. But triggered events must be available inside the configuration and some Jobs or AsyncJobs must be registered for that.

Prior to LibreOffice 4.3, this singleton was only available as a (single-instance) JobExecutor service.

See also
  Job
  AsyncJob

Since
  LibreOffice 4.3

The documentation for this singleton was generated from the following file:

- com/sun/star/task/theJobExecutor.idl